> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billingall products

> Get all products collection



## OpenAPI

````yaml /swagger.json get /billing/all-products
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /billing/all-products:
    get:
      tags:
        - billing
      description: Get all products collection
      responses:
        '200':
          description: Returns all products collection.
          content:
            application/json:
              schema:
                type: object
                properties:
                  baseProducts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - base
                            - credit
                            - rowCount
                            - attachmentSize
                            - automationRun
                        catalog:
                          type: string
                          enum:
                            - cloud
                            - self-hosted
                        level:
                          type: string
                          enum:
                            - free
                            - pro
                            - business
                            - enterprise
                        trialPeriodInDays:
                          type: number
                        giftCredit:
                          type: number
                        creditSubscribeEnable:
                          type: boolean
                        limit:
                          type: object
                          properties:
                            maxRows:
                              type: number
                            maxSizeAttachments:
                              type: number
                            maxNumAutomationRuns:
                              type: number
                            maxNumDatabaseConnections:
                              type: number
                            maxRevisionHistoryDays:
                              type: number
                            maxAutomationHistoryDays:
                              type: number
                            automationEnable:
                              type: boolean
                            auditLogEnable:
                              type: boolean
                            adminPanelEnable:
                              type: boolean
                            rowColoringEnable:
                              type: boolean
                            buttonFieldEnable:
                              type: boolean
                            fieldAIEnable:
                              type: boolean
                            userGroupEnable:
                              type: boolean
                            advancedExtensionsEnable:
                              type: boolean
                            advancedPermissionsEnable:
                              type: boolean
                            passwordRestrictedSharesEnable:
                              type: boolean
                            authenticationEnable:
                              type: boolean
                            domainVerificationEnable:
                              type: boolean
                            organizationEnable:
                              type: boolean
                            apiRateLimit:
                              type: number
                            chatAIEnable:
                              type: boolean
                            appEnable:
                              type: boolean
                            customDomainEnable:
                              type: boolean
                            maxNumAutomationSendEmail:
                              type: number
                          required:
                            - maxRows
                            - maxSizeAttachments
                            - maxNumAutomationRuns
                            - maxNumDatabaseConnections
                            - maxRevisionHistoryDays
                            - maxAutomationHistoryDays
                            - automationEnable
                            - auditLogEnable
                            - adminPanelEnable
                            - rowColoringEnable
                            - buttonFieldEnable
                            - fieldAIEnable
                            - userGroupEnable
                            - advancedExtensionsEnable
                            - advancedPermissionsEnable
                            - passwordRestrictedSharesEnable
                            - authenticationEnable
                            - domainVerificationEnable
                            - organizationEnable
                            - apiRateLimit
                            - chatAIEnable
                            - appEnable
                            - customDomainEnable
                            - maxNumAutomationSendEmail
                        prices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              legacyIds:
                                type: array
                                items:
                                  type: string
                              productId:
                                type: string
                              type:
                                type: string
                              interval:
                                type: string
                                enum:
                                  - month
                                  - year
                              intervalCount:
                                type: number
                              unitAmount:
                                type: number
                              currency:
                                type: string
                            required:
                              - id
                              - legacyIds
                              - productId
                              - type
                              - interval
                              - intervalCount
                              - unitAmount
                              - currency
                      required:
                        - id
                        - type
                        - catalog
                        - level
                        - limit
                        - prices
                  addOnProducts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                          enum:
                            - base
                            - credit
                            - rowCount
                            - attachmentSize
                            - automationRun
                        catalog:
                          type: string
                          enum:
                            - cloud
                            - self-hosted
                        unitAmount:
                          type: number
                        prices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              legacyIds:
                                type: array
                                items:
                                  type: string
                              productId:
                                type: string
                              type:
                                type: string
                              interval:
                                type: string
                                enum:
                                  - month
                                  - year
                              intervalCount:
                                type: number
                              unitAmount:
                                type: number
                              currency:
                                type: string
                            required:
                              - id
                              - legacyIds
                              - productId
                              - type
                              - interval
                              - intervalCount
                              - unitAmount
                              - currency
                        trialPeriodInDays:
                          type: number
                      required:
                        - id
                        - type
                        - catalog
                        - unitAmount
                        - prices
                required:
                  - baseProducts
                  - addOnProducts
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/billing/all-products \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/billing/all-products';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/billing/all-products',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/api/billing/all-products", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````